package com.schoolinout.system.mapper;

import com.schoolinout.system.domain.Parent;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 家长管理Mapper接口
 *
 * @author sakura
 * @date 2024-01-09
 */
@Mapper
public interface ParentMapper {
    /**
     * 查询家长管理
     *
     * @param id 家长管理主键
     * @return 家长管理
     */
    public Parent selectParentById(Long id);

    /**
     * 查询家长管理列表
     *
     * @param parent 家长管理
     * @return 家长管理集合
     */
    public List<Parent> selectParentList(Parent parent);

    /**
     * 新增家长管理
     *
     * @param parent 家长管理
     * @return 结果
     */
    public int insertParent(Parent parent);

    /**
     * 修改家长管理
     *
     * @param parent 家长管理
     * @return 结果
     */
    public int updateParent(Parent parent);

    /**
     * 删除家长管理
     *
     * @param id 家长管理主键
     * @return 结果
     */
    public int deleteParentById(Long id);

    /**
     * 批量删除家长管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteParentByIds(Long[] ids);
}
